| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# IFuncMinimum Class Reference

`#include <GaudiGSL/IFuncMinimum.h>`

Inheritance diagram for IFuncMinimum:

[legend]
Collaboration diagram for IFuncMinimum:

[legend]

List of all members.

## Detailed Description

Interface file to find minimum of the function and compute covariance matrix (matrix of error).

Author:
  Kirill Miklyaev kirillm@iris1.itep.ru

Date:
  2002-09-14

Definition at line 34 of file IFuncMinimum.h.

## Public Types
typedef Genfun::AbsFunction | GenFunc
| Function which we minimize (.
typedef Genfun::Argument | Arg
| Argument of function "GenFunc" (.
typedef CLHEP::HepSymMatrix | Covariance
| Covariance matrix (matrix of error) (.
## Public Member Functions
virtual StatusCode | minimum (const GenFunc &fun, Arg &pars) const =0
| Do Multidimensional Minimization.
virtual StatusCode | minimum (const GenFunc &fun, Arg &pars, Covariance &covar) const =0
| Find minimum and gradient of the function "GenFunc".
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Typedef Documentation

typedef Genfun::AbsFunction IFuncMinimum::GenFunc

Function which we minimize (.

See also:
  CLHEP/GenericFunctions/AbsFunction.hh)

Definition at line 40 of file IFuncMinimum.h.

typedef Genfun::Argument IFuncMinimum::Arg

Argument of function "GenFunc" (.

See also:
  CLHEP/GenericFunctions/Argument.hh)

Definition at line 42 of file IFuncMinimum.h.

typedef CLHEP::HepSymMatrix IFuncMinimum::Covariance

Covariance matrix (matrix of error) (.

See also:
  CLHEP/Matrix/SymMatrix.h)

Definition at line 44 of file IFuncMinimum.h.

## Member Function Documentation

static const InterfaceID& IFuncMinimum::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IAlgTool.

Definition at line 49 of file IFuncMinimum.h.

    00049 { return IID_IFuncMinimum; }

virtual StatusCode IFuncMinimum::minimum | ( | const GenFunc & | fun,
|  | Arg & | pars |
| ) |  |  | const`[pure virtual]`

Do Multidimensional Minimization.

Find minimum and gradient of the function "GenFunc"

Parameters:

  | fun | - function

See also:
  CLHEP/GenericFunctions/AbsFunction.hh

Parameters:

  | pars | - argument

See also:
  CLHEP/GenericFunctions/Argument.hh

Returns:
  StatusCode

virtual StatusCode IFuncMinimum::minimum | ( | const GenFunc & | fun,
|  | Arg & | pars,
|  | Covariance & | covar |
| ) |  |  | const`[pure virtual]`

Find minimum and gradient of the function "GenFunc".

Parameters:

  | fun | - function

See also:
  CLHEP/GenericFunctions/AbsFunction.hh

Parameters:

  | pars | - argument

See also:
  CLHEP/GenericFunctions/Argument.hh

Parameters:

  | covar | - covariance matrix (matrix of error)

See also:
  CLHEP/Matrix/SymMatrix.h

Returns:
  StatusCode

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiGSL/GaudiGSL/IFuncMinimum.h